Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class StarTeamRepositoryFacade

    java.lang.Object
      com.pmease.quickbuild.repository.StarTeamRepositoryFacade

All Implemented Interfaces:
  java.io.Serializable

public class StarTeamRepositoryFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for StarTeamRepository. Borland StarTeam repository

See Also:
  Serialized Form

Constructor Summary
`StarTeamRepositoryFacade()`

Method Summary
`java.lang.String` | `getLoginMappingName()` Choose login mapping for this repository.
`java.util.List` | `getModules()`
`java.lang.String` | `getName()` Provide a name for this repository.
`java.lang.String` | `getPassword()` OGNL: Password to login to the StarTeam server.
`java.lang.String` | `getProjectLocation()` OGNL: Location of a StarTeam project is defined as: <servername>:<portnum>/<projectname>, where <servername> is the host where the StarTeam server runs, <portnum> is the port number the StarTeam server uses, default value is 49201.
`long` | `getQuietPeriod()` Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build.
`long` | `getTimeDifferenceThreshhold()` OGNL: Specify time difference threshhold (measured in seconds) between build server and StarTeam server.
`java.lang.String` | `getUser()` OGNL: User name to login to the StarTeam server.
`boolean` | `isConvertEOL()` OGNL: If choose yes, all ASCII files will have their end-of-line characters adjusted to the EOL type of the local machine on checkout.
`void` | `setConvertEOL(boolean convertEOL)`
`void` | `setLoginMappingName(java.lang.String loginMappingName)`
`void` | `setModules(java.util.List modules)`
`void` | `setName(java.lang.String name)`
`void` | `setPassword(java.lang.String password)`
`void` | `setProjectLocation(java.lang.String projectLocation)`
`void` | `setQuietPeriod(long quietPeriod)`
`void` | `setTimeDifferenceThreshhold(long timeDifferenceThreshhold)`
`void` | `setUser(java.lang.String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StarTeamRepositoryFacade

    public StarTeamRepositoryFacade()

Method Detail

### getProjectLocation

    public java.lang.String getProjectLocation()

  OGNL: Location of a StarTeam project is defined as: <servername>:<portnum>/<projectname>, where <servername> is the host where the StarTeam server runs, <portnum> is the port number the StarTeam server uses, default value is 49201. <projectname> is a StarTeam project under this StarTeam server.

### setProjectLocation

    public void setProjectLocation(java.lang.String projectLocation)

### getUser

    public java.lang.String getUser()

  OGNL: User name to login to the StarTeam server.

### setUser

    public void setUser(java.lang.String user)

### getPassword

    public java.lang.String getPassword()

  OGNL: Password to login to the StarTeam server.

### setPassword

    public void setPassword(java.lang.String password)

### isConvertEOL

    public boolean isConvertEOL()

  OGNL: If choose yes, all ASCII files will have their end-of-line characters adjusted to the EOL type of the local machine on checkout. Otherwise, the files will be checked out with whatever EOL characters are used on the server

### setConvertEOL

    public void setConvertEOL(boolean convertEOL)

### getTimeDifferenceThreshhold

    public long getTimeDifferenceThreshhold()

  OGNL: Specify time difference threshhold (measured in seconds) between build server and StarTeam server. Time difference between build server and StarTeam server should not exceed this value. Otherwise, checkouts may fail due to trying to pull codes of future time from StarTeam server. However, you should not set a too large threshhold in order to check out latest codes. For most cases, 10 seconds will be a good choice.

### setTimeDifferenceThreshhold

    public void setTimeDifferenceThreshhold(long timeDifferenceThreshhold)

### getQuietPeriod

    public long getQuietPeriod()

  Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build. This is used to avoid checking out code in the middle of some other checkins. This property is optional. When set as 0, quiet period will not be used before checking out code to build.

### setQuietPeriod

    public void setQuietPeriod(long quietPeriod)

### getName

    public java.lang.String getName()

  Provide a name for this repository.

### setName

    public void setName(java.lang.String name)

### getModules

    public java.util.List getModules()

### setModules

    public void setModules(java.util.List modules)

### getLoginMappingName

    public java.lang.String getLoginMappingName()

  Choose login mapping for this repository. Login mapping is used to map repository login to QuickBuild user. It can be configured at \"login mappings\" tab of the configuration.

### setLoginMappingName

    public void setLoginMappingName(java.lang.String loginMappingName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.